%define module psycopg2

Summary:        PostgreSQL database adapter for Python
Name:           python-%module
Version:        2.4.6
Release:        %mkrel 2
Group:          Development/Python
License:        GPLv2 and ZPLv2.1 and BSD
URL:            http://www.initd.org/psycopg/
Source0:        http://initd.org/psycopg/tarballs/PSYCOPG-2-4/%{module}-%{version}.tar.gz
Source1:        http://initd.org/psycopg/tarballs/PSYCOPG-2-4/%{module}-%{version}.tar.gz.asc
Patch0:         psycopg2-2.4.2-link.patch
BuildRequires:  python-devel
BuildRequires:  postgresql-devel
BuildRequires:  python-egenix-mx-base
# for DateTime
Requires:       python-egenix-mx-base

%description
psycopg is a PostgreSQL database adapter for the Python programming
language (just like pygresql and popy.) It was written from scratch with
the aim of being very small and fast, and stable as a rock. The main
advantages of psycopg are that it supports the full Python DBAPI-2.0 and
being thread safe at level 2.

psycopg2 is an almost complete rewrite of the psycopg 1.1.x branch.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --root=%{buildroot}

%files
%doc AUTHORS examples/ ChangeLog LICENSE README
%py_platsitedir/psycopg2*



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.4.6-2.mga3
+ Revision: 379288
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 philippem <philippem> 2.4.6-1.mga3
+ Revision: 334288
- Update to 2.4.6

* Wed Feb 15 2012 philippem <philippem> 2.4.4-1.mga2
+ Revision: 209267
- Update to 2.4.4.

* Mon Jul 04 2011 ahmad <ahmad> 2.4.2-1.mga2
+ Revision: 118081
- Update to 2.4.2
- Update URL and Source urls
- Rediff patch0

* Sat Mar 26 2011 dmorgan <dmorgan> 2.3.2-1.mga1
+ Revision: 77549
- imported package python-psycopg2

